Package org.eclipse.rdf4j.query.resultio

## Class BooleanQueryResultWriterRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<FF,​S>
  - - org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry<QueryResultFormat,​BooleanQueryResultWriterFactory>
    - - org.eclipse.rdf4j.query.resultio.BooleanQueryResultWriterRegistry

-     public class BooleanQueryResultWriterRegistry
      extends FileFormatServiceRegistry<QueryResultFormat,​BooleanQueryResultWriterFactory>

  A registry that keeps track of the available `BooleanQueryResultWriterFactory`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanQueryResultWriterRegistry()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BooleanQueryResultWriterRegistry` | `getInstance()` | Gets the default BooleanQueryResultWriterRegistry.
    `protected QueryResultFormat` | `getKey​(BooleanQueryResultWriterFactory factory)` | Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry

      `getFileFormatForFileName, getFileFormatForMIMEType`

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanQueryResultWriterRegistry

          public BooleanQueryResultWriterRegistry()

  - ### Method Detail

    - #### getInstance

          public static BooleanQueryResultWriterRegistry getInstance()

      Gets the default BooleanQueryResultWriterRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected QueryResultFormat getKey​(BooleanQueryResultWriterFactory factory)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<QueryResultFormat,​BooleanQueryResultWriterFactory>`
      Parameters:
        `factory` - The service to get the key for.
      Returns:
        The key for the specified service.